Class | Hash
In: | lib/merb-core/core_ext/hash.rb
Parent: | Object

### Methods

extract!

### Public Instance methods

extract!(*args)

Returns the value of self for each argument and deletes those entries.

#### Parameters

*args: | the keys whose values should be extracted and deleted.

#### Returns

Array[Object]: | The values of the provided arguments in corresponding order.

:api: public

[Validate]